<?php

use Illuminate\Support\Facades\Schedule;
use Illuminate\Support\Facades\Artisan;

/*
|--------------------------------------------------------------------------
| Console Routes
|--------------------------------------------------------------------------
*/

Artisan::command('inspire', function () {
    $this->comment('Laravel 12 Console Ready');
})->purpose('Display an inspiring quote');


/*
|--------------------------------------------------------------------------
| Schedule Commands
|--------------------------------------------------------------------------
*/

Schedule::command('notification:generate')->dailyAt('10:00');
Schedule::command('notification:generate')->dailyAt('16:00');
Schedule::command('notification:generate')->dailyAt('21:00');

Schedule::command('push:notification')->dailyAt('10:00');
Schedule::command('push:notification')->dailyAt('16:00');
Schedule::command('push:notification')->dailyAt('21:00');

Schedule::command('email:notification')->dailyAt('10:00');
Schedule::command('email:notification')->dailyAt('16:00');
Schedule::command('email:notification')->dailyAt('21:00');